Bug 204322 - [PATCH] net/rubygem-bunny: update to 2.2.1
Summary: [PATCH] net/rubygem-bunny: update to 2.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-06 07:35 UTC by Dave Cottlehuber
Modified: 2015-11-22 03:56 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (renchap)


Attachments
patch v1 (764 bytes, patch)
2015-11-06 07:35 UTC, Dave Cottlehuber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2015-11-06 07:35:31 UTC
Created attachment 162839 [details]
patch v1

# changes

- ensure that TLS sockets are not double-initialized
- add :addresses to connect options with multiple ports
- recover from connection.close by default

# poudriere

http://pkg.skunkwerks.at/poudriere/data/10_2_amd64-default/2015-11-06_07h31m49s/logs/rubygem-bunny-2.2.1.log

# portlint

looks fine.

# pretty diff

https://github.com/dch/freebsd-ports/tree/bunny
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-06 07:37:54 UTC
Thanks Dave

In future feel free to just mention that the change passes QA, in a format similar to:

 * portlint: OK|WARN (<message>)
 * testport: OK (poudriere, <version>, <archs>, <options> tested)
 * unittest: OK (if the port/software has them)
Comment 2 Raphael Kubo da Costa freebsd_committer 2015-11-21 20:21:54 UTC
For completeness: portlint is OK with the patch, and it passed `poudriere testport' on both 93i386 and 11amd64. I'm going to land it.
Comment 3 commit-hook freebsd_committer 2015-11-21 20:23:32 UTC
A commit references this bug:

Author: rakuco
Date: Sat Nov 21 20:23:05 UTC 2015
New revision: 402198
URL: https://svnweb.freebsd.org/changeset/ports/402198

Log:
  Update to 2.2.1.

  Upstream changes:
  - ensure that TLS sockets are not double-initialized
  - add :addresses to connect options with multiple ports
  - recover from connection.close by default

  PR:		204322
  Submitted by:	Dave Cottlehuber <dch@skunkwerks.at>
  Approved by:	maintainer timeout (15 days)

Changes:
  head/net/rubygem-bunny/Makefile
  head/net/rubygem-bunny/distinfo
Comment 4 Raphael Kubo da Costa freebsd_committer 2015-11-21 20:24:16 UTC
Committed, thank you very much!
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-22 03:56:19 UTC
Assign to committer that resolved